org.eclipse.jetty.plus.jaas.spi

## Class UserInfo

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.spi.UserInfo

    public class UserInfo
    extends Object

UserInfo This is the information read from the external source about a user. Can be cached by a UserInfoCache implementation

### Constructor Summary

Constructors
Constructor and Description
`UserInfo(String userName, Credential credential, List<String> roleNames)`

### Method Summary

Methods
`boolean` `checkCredential(Object suppliedCredential)`
`protected Credential` `getCredential()`
`List<String>` `getRoleNames()`
`String` `getUserName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserInfo

    public UserInfo(String userName,
            Credential credential,
            List<String> roleNames)

### Method Detail

#### getUserName

    public String getUserName()

#### getRoleNames

    public List<String> getRoleNames()

#### checkCredential

    public boolean checkCredential(Object suppliedCredential)

#### getCredential

    protected Credential getCredential()